Bug 94405 - [MAINTAINER] security/prelude-manager: update revision due libprelude update
[MAINTAINER] security/prelude-manager: update revision due libprelude update
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Renato Botelho
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-13 11:00 UTC by r.gruyters
Modified: 2006-03-21 11:51 UTC (History)
0 users

See Also:


Attachments
file.diff (1.82 KB, patch)
2006-03-13 11:00 UTC, r.gruyters
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description r.gruyters 2006-03-13 11:00:37 UTC
Changelog:
- Update MASTER_SITES
- Added startup script
- Update lib dependency due update libprelude
Comment 1 r.gruyters 2006-03-20 08:27:42 UTC
Hello,

Last week Prelude updated the Prelude Manager. Please use the following
patch/diff:

[...]
diff -ruN --exclude=CVS /usr/ports/security/prelude-manager/Makefile /data2/FreeBSD/custom_ports/security/prelude-manager/Makefile
--- /usr/ports/security/prelude-manager/Makefile	Mon Feb 27 09:12:54 2006
+++ /data2/FreeBSD/custom_ports/security/prelude-manager/Makefile	Mon Mar 20 09:11:48 2006
@@ -5,15 +5,15 @@
 # $FreeBSD: ports/security/prelude-manager/Makefile,v 1.24 2006/02/23 10:39:04 ade Exp $
 
 PORTNAME=	prelude-manager
-PORTVERSION=	0.9.3
-PORTREVISION=	1
+PORTVERSION=	0.9.4
 CATEGORIES=	security
-MASTER_SITES=	http://www.prelude-ids.org/download/releases/
+MASTER_SITES=	http://www.prelude-ids.org/download/releases/ \
+MASTER_SITES=	http://www.prelude-ids.org/download/releases/old/
 
 MAINTAINER=	r.gruyters@yirdis.nl
 COMMENT=	Prelude Network Intrusion Detection System central logging point
 
-LIB_DEPENDS+=	prelude.6:${PORTSDIR}/security/libprelude \
+LIB_DEPENDS+=	prelude.7:${PORTSDIR}/security/libprelude \
 		xml2.5:${PORTSDIR}/textproc/libxml2
 
 USE_GPG=	yes
@@ -21,6 +21,7 @@
 USE_GMAKE=	yes
 INSTALLS_SHLIB=	yes
 GNU_CONFIGURE=	yes
+USE_RC_SUBR=	prelude-manager.sh
 CONFIGURE_TARGET=	--build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
 CONFIGURE_ARGS=		--with-html-dir=${PREFIX}/share/doc \
 			--localstatedir=/var
diff -ruN --exclude=CVS /usr/ports/security/prelude-manager/distinfo /data2/FreeBSD/custom_ports/security/prelude-manager/distinfo
--- /usr/ports/security/prelude-manager/distinfo	Wed Feb 15 13:51:29 2006
+++ /data2/FreeBSD/custom_ports/security/prelude-manager/distinfo	Sun Mar 19 15:28:53 2006
@@ -1,6 +1,3 @@
-MD5 (prelude-manager-0.9.3.tar.gz) = ca714e2b3e581f18954fa6b7285622ee
-SHA256 (prelude-manager-0.9.3.tar.gz) = 0eb448dcfb8c0982b952c989d290ae3e03af1a954e52faf8bbddacb16cfb6545
-SIZE (prelude-manager-0.9.3.tar.gz) = 567751
-MD5 (prelude-manager-0.9.3.tar.gz.sig) = 7aa7aee25ae678d2f9f423a1659de116
-SHA256 (prelude-manager-0.9.3.tar.gz.sig) = fa129eea1d399df60c6ec58f8c1de9f39b4b3fe8086251bb72c38198c0c1cbe4
-SIZE (prelude-manager-0.9.3.tar.gz.sig) = 827
+MD5 (prelude-manager-0.9.4.tar.gz) = ccde00b47f0bc8586aed23286162d0d0
+SHA256 (prelude-manager-0.9.4.tar.gz) = 3fd0fb4e07213fe9bd2fc2797d0f4f7ff7505dbbb73af4ea1cb8a829b057505c
+SIZE (prelude-manager-0.9.4.tar.gz) = 573436
diff -ruN --exclude=CVS /usr/ports/security/prelude-manager/files/prelude-manager.sh.in /data2/FreeBSD/custom_ports/security/prelude-manager/files/prelude-manager.sh.in
--- /usr/ports/security/prelude-manager/files/prelude-manager.sh.in	Thu Jan  1 01:00:00 1970
+++ /data2/FreeBSD/custom_ports/security/prelude-manager/files/prelude-manager.sh.in	Mon Mar 13 11:25:07 2006
@@ -0,0 +1,16 @@
+#!/bin/sh -
+
+#
+# Prelude Manager
+#
+
+. /etc/rc.subr
+
+name=prelude_manager
+command=/usr/local/bin/prelude-manager
+pidfile=/var/run/${name}.pid
+prelude_manager_enable=${prelude_manager_enable:-"NO"}
+prelude_manager_flags=${prelude_manager_flags:-"-d -P ${pidfile}"}
+
+load_rc_config $name
+run_rc_command "$1"
diff -ruN --exclude=CVS /usr/ports/security/prelude-manager/pkg-plist /data2/FreeBSD/custom_ports/security/prelude-manager/pkg-plist
--- /usr/ports/security/prelude-manager/pkg-plist	Tue Feb 21 09:25:03 2006
+++ /data2/FreeBSD/custom_ports/security/prelude-manager/pkg-plist	Mon Mar 20 09:18:46 2006
@@ -4,6 +4,8 @@
 include/prelude-manager/prelude-manager.h
 lib/prelude-manager/filters/idmef-criteria.la
 lib/prelude-manager/filters/idmef-criteria.so
+lib/prelude-manager/decodes/normalize.so
+lib/prelude-manager/decodes/normalize.la
 %%WITH_DB%%lib/prelude-manager/reports/db.la
 %%WITH_DB%%lib/prelude-manager/reports/db.so
 lib/prelude-manager/reports/debug.la
@@ -15,12 +17,13 @@
 lib/prelude-manager/reports/xmlmod.la
 lib/prelude-manager/reports/xmlmod.so
 %%DATADIR%%/xmlmod/idmef-message.dtd
-@dirrm %%DATADIR%%/xmlmod
-@dirrm %%DATADIR%%
-@dirrm lib/prelude-manager/reports
-@dirrm lib/prelude-manager/filters
-@dirrm lib/prelude-manager
-@dirrm include/prelude-manager
+@dirrmtry %%DATADIR%%/xmlmod
+@dirrmtry %%DATADIR%%
+@dirrmtry lib/prelude-manager/decodes
+@dirrmtry lib/prelude-manager/reports
+@dirrmtry lib/prelude-manager/filters
+@dirrmtry lib/prelude-manager
+@dirrmtry include/prelude-manager
 @dirrmtry etc/prelude-manager
 @dirrmtry /var/run/prelude-manager
 @dirrmtry /var/spool/prelude-manager
[...]

Regards,

Robin
Comment 2 Renato Botelho freebsd_committer 2006-03-20 15:14:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->garga

I'll take it.
Comment 3 Renato Botelho freebsd_committer 2006-03-20 15:24:56 UTC
Your rc.d startup script is not accoringly Porter's Handbook. Could
you take a look ate Chapter 6.15 of Porter's Handbook at:

http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/rc-scripts.html

Thanks
-- 
Renato Botelho <garga @ FreeBSD.org>
               <freebsd @ galle.com.br>
GnuPG Key: http://www.FreeBSD.org/~garga/pubkey.asc
Comment 4 Renato Botelho freebsd_committer 2006-03-20 15:27:17 UTC
State Changed
From-To: open->feedback

Ask for submitter fix.
Comment 5 r.gruyters 2006-03-21 08:16:32 UTC
Hello,

Here an update for the rc.d startup script:

diff -ruN --exclude=CVS
/usr/ports/security/prelude-manager/files/prelude-manager.sh.in
/data2/FreeBSD/custom_ports/security/prelude-manager/files/prelude-manager.sh.in
--- /usr/ports/security/prelude-manager/files/prelude-manager.sh.in     
Thu Jan 1 01:00:00 1970
+++
/data2/FreeBSD/custom_ports/security/prelude-manager/files/prelude-manager.sh.in
   Tue Mar 21 09:03:48 2006
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+# PROVIDE: prelude_manager
+# REQUIRE: NETWORKING SERVERS
+#
+# Add the following lines to /etc/rc.conf.local or /etc/rc.conf
+# to enable this service:
+#
+# prelude_manager_enable (bool):   Set to NO by default.
+#                                  Set it to YES to enable Prelude Manager.
+# prelude_manager_flags  (flags):  Set arguments to use with Prelude Manager
+#
+
+. %%RC_SUBR%%
+
+name="prelude_manager"
+rcvar=${name}_enable
+
+command=%%PREFIX%%/bin/prelude-manager
+pidfile=/var/run/prelude-manager.pid
+
+load_rc_config $name
+
+: ${prelude_manager_enable="NO"}
+: ${prelude_manager_flags:-"-d -P ${pidfile}"}
+
+run_rc_command "$1"


Regards,

Robin

Quoting Renato Botelho <garga@FreeBSD.org>:

> Your rc.d startup script is not accoringly Porter's Handbook. Could
> you take a look ate Chapter 6.15 of Porter's Handbook at:
>
> http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/rc-scripts.html
>
> Thanks
> --
> Renato Botelho <garga @ FreeBSD.org>
>               <freebsd @ galle.com.br>
> GnuPG Key: http://www.FreeBSD.org/~garga/pubkey.asc
>
Comment 6 r.gruyters 2006-03-21 08:27:15 UTC
Hello,

Sorry just a small typo. Here an update:

diff -ruN --exclude=CVS
/usr/ports/security/prelude-manager/files/prelude-manager.sh.in
/data2/FreeBSD/custom_ports/security/prelude-manager/files/prelude-manager.sh.in
--- /usr/ports/security/prelude-manager/files/prelude-manager.sh.in     
Thu Jan 1 01:00:00 1970
+++
/data2/FreeBSD/custom_ports/security/prelude-manager/files/prelude-manager.sh.in
   Tue Mar 21 09:26:18 2006
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+# PROVIDE: prelude_manager
+# REQUIRE: NETWORKING SERVERS
+#
+# Add the following lines to /etc/rc.conf.local or /etc/rc.conf
+# to enable this service:
+#
+# prelude_manager_enable (bool):   Set to NO by default.
+#                                  Set it to YES to enable Prelude Manager.
+# prelude_manager_flags  (flags):  Set arguments to use with Prelude Manager
+#
+
+. %%RC_SUBR%%
+
+name="prelude_manager"
+rcvar=${name}_enable
+
+command=%%PREFIX%%/bin/prelude-manager
+pidfile=/var/run/prelude-manager.pid
+
+load_rc_config $name
+
+: ${prelude_manager_enable="NO"}
+: ${prelude_manager_flags="-d -P ${pidfile}"}
+
+run_rc_command "$1"


Regards,

Robin

Quoting Renato Botelho <garga@FreeBSD.org>:

> Your rc.d startup script is not accoringly Porter's Handbook. Could
> you take a look ate Chapter 6.15 of Porter's Handbook at:
>
> http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/rc-scripts.html
>
> Thanks
> --
> Renato Botelho <garga @ FreeBSD.org>
>               <freebsd @ galle.com.br>
> GnuPG Key: http://www.FreeBSD.org/~garga/pubkey.asc
>
Comment 7 Renato Botelho freebsd_committer 2006-03-21 10:31:15 UTC
State Changed
From-To: feedback->open

Feedback recieved
Comment 8 Renato Botelho freebsd_committer 2006-03-21 11:51:31 UTC
State Changed
From-To: open->closed

Committed. Thanks!